.main-header{
   width: 100%;
   height: 78px;
   position: fixed;
   z-index: 99;
}

.main-header--is-scroll{
   background: rgba(255, 255, 255, 0.05);
   backdrop-filter: blur(10px);
}

.text--logo{
   font-weight: 700; 
   font-size: 36px;
   line-height: 1.5;
   letter-spacing: 0.05em;
   color: var(--theme-color-yellow);
   padding: 12px 0;
   margin-left: 25px;
   position: relative;
   z-index: 25;
} 

.header-wrapper{
   display: flex;
   justify-content: space-between;
   align-items: center;
   width: 100%;
   position: absolute;
   left: 0;
   top: 0;
   z-index: 3;

   .button{
      display: none;
      transition: all 0.5s linear;
   }

   .button--is-visible{
      display: flex;
      align-items: center;
      justify-content: center;
      width: 195px;
      height: 37px;
      font-family: Poppins;
      font-style: normal;
      font-weight: 500;
      font-size: 18px;
      line-height: 27px;
      color: var(--theme-color-white);
      border: 1px solid var(--theme-color-yellow);
      z-index: 25;
      position: absolute;
      top: 420px;
      left: 50%;
      background: transparent;
      transform: translate(-50%, -50%);
      animation: btn-slide 2s;
   }
}

.header-menu{
   display: none;
   animation: slide-top 1s;
}

.header-menu--is-active{
   display: flex;
   flex-direction: column;
   align-items: center;
   background: var(--theme-color-black);
   width: 100%;
   height: 100%;
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100vh;
   animation: slide-bottom 1s;

   .header-menu__item:nth-child(1){
      margin-top: 100px;
   }

   .header-menu__item{
      margin: 15px 0;
   }

   .header-menu__link{
      font-family: Poppins;
      font-weight: 400;
      font-size: 18px;
      line-height: 1.5;
      color: var(--theme-color-white);
   }

   .header-menu__link:active{
      font-weight: 500;
      color: var(--theme-color-yellow);
   }
}

.header-burger{
   width: 25px;
   height: 17.38px;
   margin-top: 26.79px;
   margin-right: 25px;
   position: relative;
   transition: all 1s ease 0s;
   
   .header-burger__btn{
      display: block;
      position: absolute;
      width: 100%;
      height: 2px;
      background-color: var(--theme-color-white);
      right: 0;
   }

   .header-burger__btn--first-line{
      top: 0;
      transition: all 1s ease 0s;
   }

   .header-burger__btn--second-line{
      top: 25%;
      transform: translate(0, +50%);
      width: 68%;
      transition: all 1s ease 0s;
   }

   .header-burger__btn--third-line{
      bottom: 25%;
      transform: translate(0, -50%);
      transition: all 1s ease 0s;
   }

   .header-burger__btn--fourth-line{
      bottom: 0;
      width: 68%;
      transition: all 1s ease 0s;
   }
}

.header-burger--is-active{
   transition: all 1s ease 0s;
   transform: rotate(360deg);
   z-index: 25;
   
   .header-burger__btn--second-line,
   .header-burger__btn--third-line{
      display: none;
      transition: all 1s ease 0s;
   }
   
   .header-burger__btn--first-line{
      top: 50%;
      transform: rotate(-45deg) translate(0px, -50%);
      transition: all 1s ease 0s;
   }

   .header-burger__btn--fourth-line{
      width: 100%;
      bottom: 50%;
      transform: rotate(45deg) translate(0px, 50%);
      transition: all 1s ease 0s;
   }
}


@media screen and (min-width: 576px){
   
}

@media screen and (min-width: 768px){
   
}

@media screen and (min-width: 992px){
   .text--logo{
      font-size: 48px;
      line-height: 1.5;
      letter-spacing: 0.05em;
   } 

   .header-burger{
      display: none;
   }

   .header-menu{
      display: flex;
   }

   .header-menu__link{
      font-family: Poppins;
      font-weight: 400;
      font-size: 18px;
      line-height: 1.5;
      color: var(--theme-color-white);
      margin-right: 25px;
   }
   
   .header-menu__link--is-active{
      color: var(--theme-color-yellow);
   }

   .header-wrapper{
      display: flex;
      justify-content: space-between;
      align-items: center;
      .button{
         display: flex;
         align-items: center;
         justify-content: center;
         width: 195px;
         height: 37px;
         font-family: Poppins;
         font-style: normal;
         font-weight: 500;
         font-size: 18px;
         line-height: 27px;
         color: var(--theme-color-white);
         border: 1px solid var(--theme-color-yellow);
         background: transparent;
         margin-top: 0;
         margin-right: 15px;
      }
   }

   .header-wrapper__container{
      display: flex;
      align-items: center;
   }


}

@media screen and (min-width: 1200px){
   .header-wrapper{
      width: 1170px;
      left: 50%;
      transform: translate(-50%, 0);
   }
}